
Redmine - Defect #14477

Problem with URL

2013-07-17 14:52 - salva salva

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I'm installing the new Redmine but a having some troubles.

All is good until I try to enter. The Webpage shows me that it can't find some .js, .css,... and also if I click one link (for example

projects) it goes to myurl.com/projects instead of myurl.com/redmine/projects.

I assume that it's a problem of url because it needs /redmine first so I write in config/environment.rb  Redmine::Utils::relative_url_root

= "/redmine" and the javascript,css problems has gone but the other problem persists

I tried to fix the last problem putting #RedmineApp::Application.routes.default_scope = { :path => '/redmine', :shallow_path =>

'/redmine' } but it doesn't work

Anybody can help me?

Thanks in advance

Regards

History

#1 - 2013-07-18 10:11 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Invalid

No need to hack redmine, the problem lies in your webservers' (or appliaction servers') configuration.

Please post on the forums, this is not a defect in redmine, closing.

#2 - 2013-07-18 10:29 - salva salva

Sorry.
